FACTOR(1)

NAME
factor - factor a number

SYNOPSIS
factor [number]

DESCRIPTION
When factor is invoked without an argument, it waits for a number to be typed in. If you type in a positive number less than 253 (about 9e15) it will factor the number and print its prime factors; each one is printed the proper number of times. Then it waits for another number. It exits if it encounters a zero or any non-numeric character.

If factor is invoked with an argument, it factors the number as above and then exits.

Maximum time to factor is proportional to sqrt(n) and occurs when n is prime or the square of a prime.

DIAGNOSTICS
`Ouch.' for input out of range or for garbage input.